%define TDSVER	7.0
%define name	freetds
%define version 0.64

%define snap 20050831

%define	major	0
%define libname	%mklibname %{name} %{major}

Summary: 	An OpenSource implementation of the tubular data stream protocol
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel 0.%{snap}.1
License: 	LGPL
Group: 		System/Libraries
URL: 		http://www.freetds.org/
Source: 	ftp://metalab.unc.edu/pub/Linux/ALPHA/freetds/%{name}-%{version}-%{snap}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	unixODBC-devel >= 2.0.0
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most
mature. Both of these libraries have several programs know to
compile and run against them. ODBC is just a roughed in skeleton,
and not useful for real work.

This package is built with support for TDS version %{TDSVER}.

%package -n	%{libname}
Summary:	An Open Source implementation of the tubular data stream protocol
Group:          System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{libname}
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most
mature. Both of these libraries have several programs know to
compile and run against them. ODBC is just a roughed in skeleton,
and not useful for real work.

This package is built with support for TDS version %{TDSVER}.

%package -n	%{libname}-unixodbc
Summary:	Driver ODBC for unixODBC
Group:		System/Libraries
Obsoletes:	%{name}-unixodbc
Provides:	%{name}-unixodbc
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-unixodbc
The freetds-unixodbc package contains ODBC driver build for
unixODBC.

This package is built with support for TDS version %{TDSVER}.

%package -n	%{libname}-devel
Summary:	Development libraries and header files for the FreeTDS library
Group:		Development/C
Requires:	libtool
Obsoletes:	%{name}-devel lib%{name}-devel
Provides:	%{name}-devel lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most
mature. Both of these libraries have several programs know to
compile and run against them. ODBC is just a roughed in skeleton,
and not useful for real work.

This package is built with support for TDS version %{TDSVER}.

This package allows you to compile applications with freetds
libraries.

%package -n	%{libname}-doc
Summary:	User documentation for FreeTDS
Group:		Books/Other
Obsoletes:	%{name}-doc
Provides:	%{name}-doc

%description -n	%{libname}-doc
The freetds-doc package contains the useguide and reference of
FreeTDS and can be installed even if FreeTDS main package is not
installed

%prep

%setup -q -n %{name}-%{version}-%{snap}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure.in

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
export WANT_AUTOCONF_2_5=1
touch include/config.h.in
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

%configure2_5x \
    --with-tdsver=%{TDSVER} \
    --with-unixodbc=%{_prefix}

%make

# the test suite is too borked...
#make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/interfaces
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}-%{version}/samples

%makeinstall

chmod +x %{buildroot}%{_libdir}/*.so
cp -a -f samples/* %{buildroot}%{_datadir}/%{name}-%{version}/samples/

mv %{buildroot}/interfaces %{buildroot}%{_datadir}/%{name}-%{version}/

pushd %{buildroot}%{_sysconfdir}/%{name}
    ln -sf ../..%{_datadir}/%{name}-%{version}/interfaces/
popd

#remove unwanted files
rm -rf %{buildroot}%{_sysconfdir}/locales.conf
rm -rf %{buildroot}%{_docdir}/%{name}-*

# fix docs
rm doc/userguide doc/reference
mv doc/doc/freetds-*/userguide doc/userguide
mv doc/doc/freetds-*/reference doc/reference

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-unixodbc -p /sbin/ldconfig

%postun -n %{libname}-unixodbc -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README PWD phptests/*
%config(noreplace) %{_sysconfdir}/freetds.conf
%config(noreplace) %{_sysconfdir}/pool.conf
%dir %{_datadir}/%{name}-%{version}
%{_bindir}/bsqldb
%{_bindir}/freebcp
%{_bindir}/tdspool
%{_bindir}/tsql
%{_bindir}/defncopy
%{_bindir}/datacopy
%{_libdir}/libct.so.*
%{_libdir}/libsybdb.so.*
%{_libdir}/libtds.so.*
%{_libdir}/libtdssrv.so.*
%{_datadir}/%{name}-%{version}/interfaces
%dir %{_sysconfdir}/%{name}/interfaces
%{_mandir}/man1/*

%files  -n %{libname}-unixodbc
%defattr(-,root,root)
%{_libdir}/libtdsodbc.so.*

%files  -n %{libname}-devel
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h
%{_datadir}/%{name}-%{version}/samples

%files -n %{libname}-doc
%defattr (-,root,root)
%doc doc/userguide doc/images doc/reference

%changelog
* Thu Sep 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.64-0.20050831.1mdk
- used a snap in an attempt to close #17272

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.63-3mdk
- rebuilt with gcc4

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.63-2mdk
- added one lib64 fix

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.63-1mdk
- 0.63
- use the %%mkrel macro

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.4-5mdk
- rebuilt against new readline

* Mon Jan 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.4-4mdk
- fix deps

* Mon Jan 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.4-3mdk
- libifiction (why hasn't this been done before?)

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.4-2mdk
- make it compile on 10.0 too

* Fri Jul 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.4-1mdk
- 0.62.4

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.3-2mdk
- rebuild

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.62.3-1mdk
- 0.62.3
- merge spec file stuff from the provided spec file
- fix deps
- misc spec file fixes

* Mon Jun 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-1mdk
- 0.61
- use the %%configure2_5x macro
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-2mdk
- make it provide

* Thu Jan 23 2003 lenny@mandrakesoft.com 0.60-2mdk
- rebuild

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.60-1mdk
- 0.60

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.53.1-1mdk
- updated by Franck Martin <franck@sopac.org> :
	- Make it work with PHP 4.1.2 by using snapshot

* Thu Feb 24 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.53-2mdk
- Upload problem. Re-upload.

* Wed Feb 23 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.53-1mdk
- 0.53

* Mon Jul 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52-1mdk
- added in contribs by Franck Martin <franck@sopac.org> :
	- Repackaged with newer freetds version

* Thu Jul 05 2001 Franck Martin <franck@sopac.org> 0.51-1mdk
- Packaged for Mandrake 8.0
